<?php
/*
Plugin Name: Autolink &amp; More in Posts &amp; Excerpts (AMPE)
Plugin URI: http://wp-plugins.net/plugin/posts-autolink/
Description: Add comments-style autolinking of URLs, and other effects, to posts &amp; excerpts too.  Compatible with <em>either</em> a) the <a href="http://minglewithingle.com/index.php?s=link+truncator" target="_blank">Link Truncator plugin</a> by itself or b) the <a href="http://www.techwench.com/05-2005/plugin-blank-target-comments/" target="_blank">Blank Target Comments plugin</a> by itself, or - <strong>recommendend</strong> - c) LT installed with the <a href="http://wp-plugins.net/plugin/comment-target-blank/">Comment Link Target Blanker plugin</a> (a BTC replacement). LT &amp; BTC are mutually incompatible; get CLTB if you want the functionality of both.  Also compatible with the <a href="http://binarybonsai.com/archives/2004/10/19/dunstans-time-since-10/" target="_blank">Time Since plugin</a>.  With none of these extra plugins, all AMPE does is make WP's own comments autolink feature work on posts too.  Only tested in WP 2.0.
Version: 1.0b
Author: Stanton McCandlish
Author URI: http://www.McCandlishConsulting.com/
*/

/* Installation: Read the readme file! */

/* ** This plugin *MUST* load *AFTER* CLTB and LT, if they are installed.
   Thus the filename of this script, which pushes it down toward bottom of
   the plugin list. */

/* This work is licensed under the Creative Commons Attribution-ShareAlike License. To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/2.5/ or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA. */

if (function_exists('wp_rel_nofollow_blanktarget2')) {
  add_filter ('the_content', 'wp_rel_nofollow_blanktarget2');
  add_filter ('the_excerpt', 'wp_rel_nofollow_blanktarget2');
  add_filter ('comment_excerpt', 'wp_rel_nofollow_blanktarget2');
}
if (function_exists('make_more_clickable2')) {
  add_filter('the_content', 'make_more_clickable2');
  add_filter('the_excerpt','make_more_clickable2');
  add_filter('comment_excerpt','make_more_clickable2');
} elseif (function_exists('make_more_clickable')) {
  add_filter('the_content', 'make_more_clickable');
  add_filter('the_excerpt','make_more_clickable');
  add_filter('comment_excerpt','make_more_clickable');
} elseif (function_exists('make_clickable_blanktarget')) {
  add_filter('the_content', 'make_clickable_blanktarget');
  add_filter('the_excerpt','make_clickable_blanktarget');
  add_filter('comment_excerpt','make_clickable_blanktarget');
} else {
  add_filter('the_content','make_clickable');
  add_filter('the_excerpt','make_clickable');
  add_filter('comment_excerpt','make_clickable');
}
?>